Subject: Re: bug#48118: 27.1; 28; Only first process receives output with multiple running processes

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 May 2021 14:38:17 +0300

> From: [email-masked]
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Mon, 24 May 2021 23:05:47 +0200
> 
> I propose the following simple patch. It makes output from multiple
> /bin/yes programs arrive at the same rate and multiple grep processes
> can run without them seemingly blocking each other.

Thanks, but I don't think we can make such changes unconditionally.
I'm okay with trying this by default, but we should have a Lisp
variable that would allow to get back to the old behavior.  That's
because if some user complains about some problems, and we think the
problems are caused by this change, we could tell that user to flip
the variable and see if the problems go away.

That variable should also be in NEWS.